Forum Post
Index > Scribe > Is there an undelete on folders in InScribe ???

Author/Date Is there an undelete on folders in InScribe ???
Martin
24/04/2008 6:50pm
I have 3 main folders, for each of my 3 main mailboxes.

One of them has over 50 sub-folders, with filters set to send e-mails on them.

I have over 10,000 e-mails in those folders.

I went to delete an e-mail in the main folder, clicked yes on the delete confirmation, and BAM, 1 second later, I lost my main folder because I didn't realize the focus was on my folder, not the actual message.

Please, tell me there is an undelete for folders!!!

( I put Scribe in Offline mode IMMEDIATELY to search for my folder in the deleted items folder, no luck).
Martin
24/04/2008 6:53pm
I am using Version v1.88 Final (m5)
Build: Jan 20 2007, 09:05:10
exosceleton
25/04/2008 6:59am
you could try this:
copy your mailfile (for security) and run the folderdump utility on the copy.
http://www.memecode.com/scribe/docs/FolderDump.zip
Martin
25/04/2008 9:49am
I used folderdump with parameters -s -a and while it was running, it listed all of my deleted folders ! Yeah !

The output at the end was :
--------------------------------------------------------
2097 folders found.
Nodes sorted: 1
Correcting tree errors... (12209305 nodes)
Nodes Checked: 1418551, Parent ptrs fixed: 1359474, Missing dire
ctories removed: 0
Assigning nodes to folders...
Owned: 11721632, Orphans: 487607 of which 112 are unassigned.
Culling dupelicate nodes from folders...
Culled 0 nodes.
Writing export folders...
Export finished.
--------------------------------------------------------

But export.mail2 is only 1 KB, and nothing happeneds on my original.

I also ran on with -t -a and got NO export.mail2, and no improvement on my original file. Same without -a

This was the summary :

Summary:
Emails: 19434
Contacts: 0
Folders: 21
Total: 19778

--------------------------------------

Am I missing something ?
Martin
28/04/2008 9:27am
Is there ANY solution ???
fret
28/04/2008 12:14pm
I know about this, I just don't have much time to look at it this week. The latest version has undo for folder delete so it wouldn't have been an issue if you had been using that :(

Anyway I think the best solution might be to add some functionality to the dump program to extract specific folders.
Martin
29/04/2008 9:31am
Well, I don't want to extract a specific folder... I want to extract ALL folders.

EVERYTHING.

Can someone help me ? I have been without an e-mail program for several days now...
fret
30/04/2008 10:11pm
I've reproduced the problem with some old code. So now my folders are broken in the same way yours are. I'm now going to run folder dump on it and see what happens, hopefully I can fix whatever issue is preventing folder dump from extracting a valid folders.mail2.
fret
01/05/2008 11:51am
Wow, it's been years since I looked at the folder dump code and it's completely foreign to me now.. *sigh*

This is going to take a while, i.e. working out what the code does.
fret
03/05/2008 11:26am
So far I've found that all the links between the folders and the email getting broken when you delete the root folder. Which means that I can recover all the mail and folders but the email is all in a single "orphan" folder, not in their original folder. This is less than ideal I know. I'm looking for a way to work out which folder they we're in but I'm not hopeful. :(
fret
03/05/2008 11:31am
Actually, it just occurred to me that while I don't know WHICH folder the item belonged to, I CAN group them into the same folders as before, because all their parent pointers are the same, so by grouping according to parent pointer, the folder name and properties get lost, but that folder's email is all in the same place. This is much less worse than losing the whole structure entirely.

:D
fret
05/05/2008 1:31am
Ok, so after doing some more work on the folder dump program over the weekend I've fixed enough things to extract all the email and contacts into a usable export folder. However all the attachments have lost their links to their parent emails and I can't undo that damage. In fact they are currently not written to the output folders at all, I need to add some code to generate fake emails that wrap each attachment and splice it into the tree.

Nevertheless I'm getting close to having a working build of FolderDump for you.
fret
05/05/2008 3:50am
I've put a new version of FolderDump online (v0.30) and it should be able to parse your folders into something semi-useful.

If you get errors loading the exported folder asking you to change the folder type, just hit cancel. Do NOT change the folder type. This is fixed for the next release of InScribe, but the version you're using won't have that fix.

The exported folders won't have much in the way of structure, you'll have to go looking for your mail and attachments, but at least it loads and you have access to it. The worst of it is the attachments getting separated from their email, and the email ending up in un-named folders. You'll see what I mean when you run it.

Sorry for all the hassle. Remember to upgrade in the future yeah? I've added code to Scribe to prevent this sort of thing from happening again.
fret
13/05/2008 6:12am
So how did you go?

I spent a lot of time working on FolderDump for you, it'd be nice to hear how it went.
Reply